package net.vtstar.zhongtong.avi.monitoring.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.zhongtong.avi.monitoring.domain.enums.StationState;

import javax.persistence.Column;
import javax.persistence.Table;
import java.math.BigDecimal;

@Data
@Table(name = "work_room")
public class WorkRoom {

    @Column(name = "id")
    private Long id;

    @Column(name = "name")
    private String name;

    @Column(name = "code")
    private String code;

    @Column(name = "led_no")
    private String ledNo;

    @Column(name = "area_no")
    private String areaNo;

    @ApiModelProperty(value = "状态")
    private StationState stationState;

    @ApiModelProperty(value = "作业时间")
    private BigDecimal workingHours;
}
