package net.vtstar.zhongtong.avi.monitoring.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

@Data
@Table(name = "warning")
@ApiModel(value = "报警信息")
public class Warning {

    @Column(name = "id")
    private Long id;

    @Column(name = "info")
    @ApiModelProperty(value = "报警信息描述")
    private String info;

    @Column(name = "code")
    @ApiModelProperty(value = "警告编号")
    private String code;

    @Column(name = "type")
    @ApiModelProperty(value = "类型")
    private String type;

    @Column(name = "name")
    @ApiModelProperty(value = "警告名")
    private String name;

    @ApiModelProperty(value = "时间(前端用),适用于报警监控")
    private String time;

    @ApiModelProperty(value = "设备名")
    private String equipName;

    @ApiModelProperty(value = "创建时间",hidden = true)
    private Date createTime;
}
